Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ImportModuleFactory Class Reference
[Plugins]

`#include <ImportModule.h>`

Inherits tlp::Plugin.

Inheritance diagram for tlp::ImportModuleFactory:

[legend]
Collaboration diagram for tlp::ImportModuleFactory:

[legend]
List of all members.

## Public Member Functions

- virtual ~ImportModuleFactory ()
- virtual ImportModule * createPluginObject (AlgorithmContext)=0
- virtual std::string getMajor () const
- virtual std::string getMinor () const
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Static Public Member Functions

- static void initFactory ()

## Static Public Attributes

- static TLP_SCOPE TemplateFactory<
  ImportModuleFactory, ImportModule,
  AlgorithmContext > * factory

## Constructor & Destructor Documentation

virtual tlp::ImportModuleFactory::~ImportModuleFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ImportModule* tlp::ImportModuleFactory::createPluginObject | ( | AlgorithmContext |  | ) | `[pure virtual]`

virtual std::string tlp::ImportModuleFactory::getMajor | ( |  | ) | const`[inline, virtual]`

| Return the major release number of the plug-in Implements tlp::Plugin.

virtual std::string tlp::ImportModuleFactory::getMinor | ( |  | ) | const`[inline, virtual]`

| Return the minor release number of the plug-in Implements tlp::Plugin.

virtual std::string tlp::ImportModuleFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`

| Return the major Tulip release number the plug-in is build with Implements tlp::Plugin.

virtual std::string tlp::ImportModuleFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`

| Return the major Tulip release number the plug-in is build with Implements tlp::Plugin.

static void tlp::ImportModuleFactory::initFactory | ( |  | ) | `[inline, static]`

## Member Data Documentation

TLP_SCOPE TemplateFactory<ImportModuleFactory,ImportModule,AlgorithmContext >* tlp::ImportModuleFactory::factory `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010